/**
* @date  October 17, 1998 ( Last Updated on October 17, 1998 )
*
*/
package cmsper;
import mil.navy.nps.dis.*;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

import jdis.*;
import worker.*;
import comm.*;
import cmsper.gui.*;

/**
*
* @author H. Timucin Ozdemir
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
public class 
PDUConsumer extends RunnerObject
{

    String mAddress;
    int    mPort;
    PushPDUType inform = null;
    FormPanel     myFR; 
    RunnerObject  peer; 
    MulticastSocket socket;

    /**
    */
    //public PDUConsumer(String _mAddress, int _mPort, PushPDUType _inform)
    public PDUConsumer( MulticastSocket _socket, PushPDUType _inform)
    {
       //mAddress = _mAddress;
       //mPort    = _mPort;
       inform   = _inform;
       socket   = _socket;
      
    }// end of CONSTRUCTOR()

    /**
    */
    public void setPeer(RunnerObject _peer) { if(_peer!=null) peer = _peer; }

    /**
    */
    public void stop() { super.stop(); if(peer!=null) peer.stop(); }

    /**
    */
    public void 
    run()
    {
       boolean stay = true;

       try
       {
         /*
         MulticastSocket socket = new MulticastSocket(mPort);
         InetAddress address = InetAddress.getByName(mAddress);
         socket.joinGroup(address);
         */

         DatagramPacket packet;

         if(peer!=null) peer.start();

         stay = (inform!=null);
         while(stay)
         {
            byte[] buf = new byte[1500];
            packet = new DatagramPacket(buf, buf.length);
            socket.receive(packet);

            if(inform!=null)
            {
               int pType = PDUReadWrite.getPDUType(packet.getData());
               if(pType>=0) inform.push(pType);

            }// end of if

            //yield();   

         }// end of while

       } catch( java.io.IOException ie) {  }

       stop();

    }// end of run()

}// end of Class CMSTester
