/**
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
package cmsper.gui;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;


/**
*
* @author H. Timucin Ozdemir
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
public class PDUPanel extends Panel implements GUI_CONST
{
    Color myColor = null;
    String txt = "";

    /**
    */
    public PDUPanel(int type, String _Name)
    {
       //myColor = new Color(Color.HSBtoRGB(0.1f,type/10f,type/10f));
       myColor = new Color((type*4)%256,(type%4)*64,(type%3)*85);
       txt = _Name;
       setBackground(GUI_CONST.PnlBgClr);

    }// end of CONSTRUCTOR

    /**
    */
    public PDUPanel(int type, String _Name, Color _myColor)
    {
       myColor = _myColor;
       txt = _Name;
       setBackground(GUI_CONST.PnlBgClr);

    }// end of CONSTRUCTOR

    /**
    */
    public Dimension 
    getPreferredSize()
    {
        FontMetrics fm = getFontMetrics(getFont());
        int strWidth   = fm.charWidth('M') * txt.length();

        Dimension ret = new Dimension(Math.max(10,15+strWidth),Math.max(10,fm.getHeight()+4));

        return ret;

    }// end of getPreferredSize()

    /**
    */
    public void
    update(Graphics g)
    {

        Dimension d = getSize();

        int y0 = d.height/2-5;
        int y1 = y0+6;
        int x0 = 3;

        g.setColor(myColor);
        g.fill3DRect(x0,y0,10,10,true);
        //g.draw3DRect(x0,y0,6,6,true);
        //g.draw3DRect(x0,y0,6,6,true);
        //g.drawRect(x0,y0,6,6);

        g.setColor(Color.black);

        FontMetrics fm = g.getFontMetrics();
        int strWidth = fm.charWidth('M') * txt.length();
        //g.drawString(txt,x0+20,fm.getHeight()/2+1);
        g.drawString(txt,x0+20,y1);//fm.getHeight()/2+1);

    }// end of update()

    /**
    */
    public void paint(Graphics g) { update(g); }

}

