/**
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
package cmsper.gui;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;


/**
*
* @author H. Timucin Ozdemir
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
public class 
ProcColorPanel extends Panel implements PROC_CLR, GUI_CONST
{

    /**
    */
    public ProcColorPanel() 
    {

      int i;
      Panel dummy = new Panel();

      GridBagLayout gb= new GridBagLayout();
      GridBagConstraints gcn = new GridBagConstraints();
      dummy.setLayout(gb);

      gcn.fill = GridBagConstraints.BOTH;
      gcn.gridwidth = GridBagConstraints.REMAINDER;
      gcn.anchor = GridBagConstraints.CENTER;

      for(i=1;i<17;i++) 
      {   
          String lbl = (i+" processors "); 
          PDUPanel a = new PDUPanel(i,lbl,PROC_CLR.ProcClr[i-1]);
          gb.setConstraints(a,gcn);
          dummy.add(a);
      }

      dummy.setBackground(GUI_CONST.PnlBgClr);
      ScrollPane aScroll= new ScrollPane();
      aScroll.add(dummy);
      aScroll.setSize(100,100);

      setLayout(new GridLayout(1,1));
      add(aScroll);

      validate();
 
    }// end of CONSTRUCTOR()

}// end of Class ProcColorPanel
