package iwt.util;

/**
*
* 
* @author Hasan Timucin Ozdemir
* @date   January 26, 1999
*
*/
public class hexConvert 
{


    /**
    */
    public static final String 
    toHexStr(byte b) { return new String(toHexBytes(b)); }

    /**
    */
    public static final byte[]
    toHexBytes(byte b)
    {
      byte ret[] = new byte[2];
      int val = b; 

      ret[0] = (byte) ((b>>4) & 0x0f);
      ret[1] = (byte) ( b & 0x0f );

      if(ret[0]<10) ret[0] = (byte) (ret[0]+'0');
      else ret[0] = (byte) ( ( ret[0]-10 ) + 'a' );
   
      if(ret[1]<10) ret[1] = (byte) (ret[1]+'0');
      else ret[1] = (byte) ( ( ret[1]-10 ) + 'a' );
  
      return ret;

    }// end of toHexBytes()

    /**
    */
    public static final String 
    toHexStr(char b) { return new String(toHexBytes(b)); }

    /**
    */
    public static final byte[]
    toHexBytes(char a)
    {
      byte[] hi = hexConvert.toHexBytes((byte)((a&0xff00)>>8));
      byte[] lo = hexConvert.toHexBytes((byte)(a&0x00ff));
      byte[] ret = new byte[4];
      System.arraycopy(hi,0,ret,0,2);
      System.arraycopy(lo,0,ret,2,2);
  
      return ret;

    }// end of toHexBytes()

    /**
    */
    public static final String 
    toHexStr(short b) { return new String(toHexBytes(b)); }

    /**
    */
    public static final byte[]
    toHexBytes(short a)
    {
      return  hexConvert.toHexBytes((char)a);

    }// end of toHexBytes()

    /**
    */
    public static final String 
    toHexStr(int b) { return new String(toHexBytes(b)); }

    /**
    */
    public static final byte[]
    toHexBytes(int a)
    {
      byte[] hi = hexConvert.toHexBytes((char)((a&0xffff0000)>>16));
      byte[] lo = hexConvert.toHexBytes((char)(a&0x0000ffff));
      byte[] ret = new byte[8];
      System.arraycopy(hi,0,ret,0,4);
      System.arraycopy(lo,0,ret,4,4);
  
      return ret;

    }// end of toHexBytes()

    /**
    */
    public static final String 
    toHexStr(float b) { return new String(toHexBytes(b)); }

    /**
    */
    public static final byte[]
    toHexBytes(float a)
    {

      return  hexConvert.toHexBytes(Float.floatToIntBits(a));

    }// end of toHexBytes()

    /**
    */
    public static final String 
    toHexStr(double b) { return new String(toHexBytes(b)); }

    /**
    */
    public static final byte[]
    toHexBytes(double a)
    {
      String aStr = Long.toHexString(Double.doubleToLongBits(a));

      return aStr.getBytes();

    }// end of toHexBytes()

    /**
    
    public void
    printBytes(byte[] bin_data)
    {
      byte buf[]; 
      int i, j;
      for(i=0;i<bin_data.length;i++)
      {
          if(i==0)  output.append("00000 :");

          buf = toHexBytes(bin_data[i]);
                 
          //if(buf!=null && DEBUG4) 
          if(buf!=null ) 
          {  output.append(" "+(char)buf[0]);
             output.append(""+(char)buf[1]);
          }// end of if

          if(i>0 && ((i+1)%16)==0)  
          { 
             output.append(" ");
             for(j=15;j>=0;j--) 
                if( bin_data[i-j]>='0' && bin_data[i-j]<='9' ) output.append(""+(char)bin_data[i-j]);
                else  if( bin_data[i-j]>='a' && bin_data[i-j]<='z' ) output.append(""+(char)bin_data[i-j]);
                else  if( bin_data[i-j]>='A' && bin_data[i-j]<='Z' ) output.append(""+(char)bin_data[i-j]);
                else  output.append(".");

             if( bin_data.length > (i+1) )
             {    
               output.append(newline);
               buf = toHexBytes((byte)(i+1));
               output.append("000");
               output.append(""+(char)buf[0]);
               output.append(""+(char)buf[1]);
               output.append(" :");
             }// end of if

          }// end of if
                
      }// end of for 

      if( (i%16)!=0 )
      {
        for(j=i%16;j<16;j++) output.append("   "); 
        output.append(" "); 
        for(j=i%16;j>0;j--) 
                if( bin_data[i-j]>='0' && bin_data[i-j]<='9' ) output.append(""+(char)bin_data[i-j]);
                else  if( bin_data[i-j]>='a' && bin_data[i-j]<='z' ) output.append(""+(char)bin_data[i-j]);
                else  if( bin_data[i-j]>='A' && bin_data[i-j]<='Z' ) output.append(""+(char)bin_data[i-j]);
                else  output.append(".");

      }// end of if 
   
      output.append(newline);
   
    }// end of printBytes()
*/

}// end of Class hexConvert
