package jdis;

/**
* @author H. Timucin Ozdemir
*/

import mil.navy.nps.dis.*;

/**
*/
public class EntityRecord
{
   EntityID   eID ;
   EntityType eType = null ;
   double     x, y, z ;

   /**
   */
   public EntityRecord(EntityID eID)
   {
     this.eID = eID;
   }

   /**
   */
   public EntityRecord(EntityID eID, double _x, double _y, double _z)
   {
     this.eID = eID;
     setLocation(_x,_y,_z);
   }

   /**
   */
   public EntityRecord(EntityID eID, EntityType _eType, double _x, double _y, double _z)
   {
     this.eID = eID;
     setLocation(_x,_y,_z);
     eType = _eType;
   }

   /** */
   public String 
   getEntityID() 
   { 
      return eID.getSiteID().toString() + "_" +
             eID.getApplicationID().toString() + "_" +
             eID.getEntityID().toString();

   }// end of getEntityID()

   /** */
   public void
   setLocation( double _x, double _y, double _z)
   { x=_x; y=_y; z=_z; }

   /** */
   public double getX() { return x;}

   /** */
   public double getY() { return y;}

   /** */
   public double getZ() { return z;}

   /** */
   public EntityType getEntityType() { return eType;}

}// end of EntityRecord
