package mil.navy.nps.awt;

import java.lang.Thread;


/**

  UpdateThread is used to read PDUs from the NetworkMonitor class and update
  the display of PDU lists on the screen. This is a bare-bones class that
  basically just calls a method in the main AwtPduViewer applet class. It's just
  a way to kick off a thread.<P>

  HISTORY<P>

  11Apr97 DMcG  New<P>

   @author Don McGregor (<A HREF="http://www.stl.nps.navy.mil/~mcgredo"> http://www.stl.nps.navy.mil/~mcgredo</A>)<P>
   @version 1.0 
   @see AwtPduViewer 

 */

public class RelayThread extends Thread
{
    private  AwtMulticastRelayClient relayClient;   //pointer back to the thing we're updating



public  RelayThread(AwtMulticastRelayClient pRelayClient)
 {
   relayClient = pRelayClient;

    // set this up to be a daemon thread, vs. a user thread. This lets the
    // app terminate nicely when the main thread is killed.

    this.setDaemon(true);

    return;
 }

public void run()
{
 // calls an endlessly looping screen update in the applet viewer

    relayClient.relayPackets();
}

 }
