package sgui;

import java.awt.Dimension;
import java.awt.Color;

import javax.swing.*;
import jdis.*;

/**
*
* @see EntityTable
* @see jdis.MonitorControl
*
* @author Hasan Timucin Ozdemir
* @date   January 26, 1999
*
*/
public class HLAPane extends JSplitPane
{

   MonitorControl boss;
   EntityTable eViewer;
   JScrollPane    rComponent; 

   /**
   */
   public HLAPane(MonitorControl _boss)
   {
      boss= _boss;
      setOrientation(JSplitPane.HORIZONTAL_SPLIT);
      setBackground(Color.white);

      eViewer = new EntityTable(boss);
      JTable aTable = new JTable(eViewer);
      rComponent = new JScrollPane(aTable);
      JPanel aPanel = new JPanel();
      aPanel.setBackground(Color.white);
      rComponent.setBackground(Color.white);
      aTable.setBackground(Color.white);


      setRightComponent(rComponent);
      setLeftComponent(aPanel);

      Dimension minimumSize = new Dimension(100, 50);
      rComponent.setMinimumSize(minimumSize);
      //pduColors.setMinimumSize(minimumSize);
      setPreferredSize(new Dimension(400, 200));
      setDividerLocation(200);

   }// end of CONSTRUCTOR

   /** */
   public EntityViewer getEntityViewer() { return (EntityViewer)eViewer; }

}// end of Class HLAPane

