package sgui;

import java.awt.Dimension;
import javax.swing.*;
import jdis.*;

/**
*
* @author Hasan Timucin Ozdemir
* @date   January 27, 1999
*
*/
public class HLAandDISPane extends JSplitPane
{

   MonitorControl boss;
   DISPane        disPane;
   HLAPane        hlaPane;

   /** */
   public HLAandDISPane(MonitorControl _boss)
   {
      boss= _boss;
      setOrientation(JSplitPane.VERTICAL_SPLIT);
      disPane = new DISPane(boss);
      setTopComponent(disPane);
      hlaPane = new HLAPane(boss);
      setBottomComponent(hlaPane);

      Dimension a = disPane.getPreferredSize();
      Dimension b = hlaPane.getPreferredSize();
      Dimension minimumSize = new Dimension(Math.max(a.width,b.width)+10,a.height+b.height+10);
      setPreferredSize(minimumSize);
      setDividerLocation(minimumSize.height/2);

   }// end of CONSTRUCTOR

   /** */
   public DISPane getDISPanel() { return disPane; } 

   /** */
   public HLAPane getHLAPanel() { return hlaPane; } 

}// end of Class HLAandDISPane

