
package sgui;

import jdis.*;

import javax.swing.JOptionPane;
import javax.swing.JDialog;
import javax.swing.JTextField;
import java.beans.*; //Property change stuff
import java.awt.*;
import java.awt.event.*;

/**
*
* @author Hasan Timucin Ozdemir
* @date   January 27, 1999
*
*/
public class 
HttpSettings extends JDialog 
{

    private String typedText  = null;

    private JOptionPane optionPane;

    String nServer = null; //JDISConstants.DEFAULT_LOGGER_SERVER ;

    String nUri    = null; //JDISConstants.DEFAULT_LOGGER_URI ;

    String nCmd    = null; //JDISConstants.DEFAULT_LOGGER_URI_ACTION ;

    public String getServerAddress() { return nServer; }

    public String getLogUri() { return nUri; }

    public String getLogCmd() { return nCmd; }

    public HttpSettings( Frame aFrame ) 
    {
        this(aFrame, JDISConstants.DEFAULT_LOGGER_SERVER,
                     JDISConstants.DEFAULT_LOGGER_URI,
                     JDISConstants.DEFAULT_LOGGER_URI_ACTION);
    }

    public HttpSettings( Frame aFrame, String _nServer, 
                         String _nUri, String _nCmd ) 
    {
        super(aFrame, true);

        setTitle("Logger Settings");

        if(_nServer!=null) nServer = _nServer;
        if(_nUri!=null)    nUri = _nUri;
        if(_nCmd!=null)    nCmd = _nCmd;

        if(nServer==null) nServer = JDISConstants.DEFAULT_LOGGER_SERVER;
        if(nUri==null)    nUri = JDISConstants.DEFAULT_LOGGER_URI;
        if(nCmd==null)    nCmd = JDISConstants.DEFAULT_LOGGER_URI_ACTION;

        final String msgString11 = "Logger Http Server Address ";
        final JTextField textField1 = new JTextField(10);
        textField1.setText(nServer);

        final String msgString12 = "Logger Http Post Uri";
        final JTextField textField2 = new JTextField(10);
        textField2.setText(nUri);

        final String msgString13 = "Logger Http Post Command";
        final JTextField textField3 = new JTextField(10);
        textField3.setText(nCmd);

        Object[] array = { msgString11, textField1, 
                           msgString12, textField2, 
                           msgString13, textField3 
                         };

        final String btnString1 = "Enter";
        final String btnString2 = "Cancel";
        Object[] options = {btnString1, btnString2};

        optionPane = new JOptionPane(array, 
                                    JOptionPane.QUESTION_MESSAGE,
                                    JOptionPane.YES_NO_OPTION,
                                    null,
                                    options,
                                    options[0]);
        setContentPane(optionPane);
        setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
        addWindowListener(new WindowAdapter() {
                public void windowClosing(WindowEvent we) {
                /*
                 * Instead of directly closing the window,
                 * we're going to change the JOptionPane's
                 * value property.
                 */
                    optionPane.setValue(new Integer(
                                        JOptionPane.CLOSED_OPTION));
            }
        });

        textField1.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                optionPane.setValue(btnString1);
            }
        });

        textField2.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                optionPane.setValue(btnString1);
            }
        });

        optionPane.addPropertyChangeListener(new PropertyChangeListener() {
            public void propertyChange(PropertyChangeEvent e) {
                String prop = e.getPropertyName();

                if (isVisible() 
                 && (e.getSource() == optionPane)
                 && (prop.equals(JOptionPane.VALUE_PROPERTY) ||
                     prop.equals(JOptionPane.INPUT_VALUE_PROPERTY))) {
                    Object value = optionPane.getValue();

                    if (value == JOptionPane.UNINITIALIZED_VALUE) {
                        //ignore reset
                        return;
                    }

                    if (value.equals(btnString1)) 
                    {
                         // Control is going to be very expensive here!
                         //String temp = 
                         nServer = textField1.getText();
                            nUri = textField2.getText();
                            nCmd = textField3.getText();

                       /*
                       pNumberTxt = textField2.getText();
                        //String ucText = typedText.toUpperCase();
                        
                        try 
                        { 
                          pNumber = Integer.parseInt(pNumberTxt);
                          // we're done; dismiss the dialog
                          setVisible(false);

                        } catch(NumberFormatException nfe) 
                          { 
                            // text was invalid
                            JOptionPane.showMessageDialog(
                                            DISSettings.this,
                                            "Sorry, \"" + pNumberTxt + "\" "
                                            + "isn't a valid number.\n"
                                            + "Please enter ", 
                                            "Try again",
                                            JOptionPane.ERROR_MESSAGE);
                            pNumberTxt = JDISConstants.DEFAULT_MPORT+"" ;
                            textField2.setText(pNumberTxt);
                            // reset the JOptionPane's value
                            optionPane.setValue(JOptionPane.UNINITIALIZED_VALUE);
                          }
                          */

                       setVisible(false); 

                    } 
                    else { setVisible(false); }
                }
            }
        });
    }
}

