package sgui;

/**
* Date  Jan 22, 1999 ( Last Updated on Jan 22, 1999 )
*
*/

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

import jdis.*;

import mil.navy.nps.disEnumerations.*;

/**
*
* @author H. Timucin Ozdemir
* @date  Jan 22, 1999 ( Last Updated on Jan 22, 1999 )
*
*/
public class 
JPDUColorPanel extends JScrollPane implements PDU_CONST
{

    JPDUTable aTable = new JPDUTable(255);

    /**
    */
    public JPDUColorPanel( ) 
    {

      /*
      int i, j=0;

      addPDUDef(PDUTypeField.ENTITYSTATE,"Entity State", j++);
      addPDUDef(PDUTypeField.FIRE,"Fire", j++);
      addPDUDef(PDUTypeField.DETONATION,"Detonation", j++);
      addPDUDef(PDUTypeField.MINE,"Mine", j++);
      addPDUDef(PDUTypeField.MINEFDIELD,"Minefield", j++);
      addPDUDef(PDUTypeField.ACKNOWLEDGE,"Acknowledge", j++);
      addPDUDef(PDUTypeField.STOPFREEZE,"Stop/Freeze", j++);
      addPDUDef(PDUTypeField.STARTRESUME,"Start/Resume", j++);

      for(i=0;i<PDU_CONST.PDU_NAMES1.length;i++) 
          addPDUDef(i+1, PDU_CONST.PDU_NAMES1[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES2.length;i++) 
          addPDUDef(i+129, PDU_CONST.PDU_NAMES2[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES3.length;i++) 
          addPDUDef(i+140, PDU_CONST.PDU_NAMES3[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES4.length;i++) 
          addPDUDef(i+150, PDU_CONST.PDU_NAMES4[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES5.length;i++) 
          addPDUDef(i+155, PDU_CONST.PDU_NAMES5[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES6.length;i++) 
          addPDUDef(i+160, PDU_CONST.PDU_NAMES6[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES7.length;i++) 
          addPDUDef(i+170, PDU_CONST.PDU_NAMES7[i],j++);
      */

      prepareTable();

      JTable table = new JTable(aTable);
      table.setDefaultRenderer(Color.class, new ColorRenderer(true));
      setViewportView(table);

      setPreferredSize(new Dimension(200,100));

    }// end of CONSTRUCTOR()

    Color getDistinctColor(int type)
    { //return new Color((type*4)%256,(type%4)*64,(type%3)*85); 
      return JDISConstants.getColor(type);
    }

    void addPDUDef(int type, String Name, int row)
    {
       aTable.setValueAt(new Integer(type),row,0);
       aTable.setValueAt(Name,row,1);
       aTable.setValueAt(getDistinctColor(type),row,2);

    }// end of addPDUDef()

    final void prepareTable()
    { 

      int i, j=0;

      addPDUDef(PDUTypeField.ENTITYSTATE,"Entity State", j++);
      addPDUDef(PDUTypeField.FIRE,"Fire", j++);
      addPDUDef(PDUTypeField.DETONATION,"Detonation", j++);
      addPDUDef(PDUTypeField.MINE,"Mine", j++);
      addPDUDef(PDUTypeField.MINEFIELD,"Minefield", j++);
      addPDUDef(PDUTypeField.ACKNOWLEDGE,"Acknowledge", j++);
      addPDUDef(PDUTypeField.STOPFREEZE,"Stop/Freeze", j++);
      addPDUDef(PDUTypeField.STARTRESUME,"Start/Resume", j++);
      addPDUDef(PDUTypeField.TRANSMITTER,"Transmitter", j++);

      for(i=0;i<PDU_CONST.PDU_NAMES1.length;i++) 
          if( (i+1)!=PDUTypeField.ENTITYSTATE &&
              (i+1)!=PDUTypeField.FIRE &&
              (i+1)!=PDUTypeField.DETONATION &&
              (i+1)!=PDUTypeField.MINE &&
              (i+1)!=PDUTypeField.MINEFIELD &&
              (i+1)!=PDUTypeField.ACKNOWLEDGE &&
              (i+1)!=PDUTypeField.STOPFREEZE &&
              (i+1)!=PDUTypeField.TRANSMITTER &&
              (i+1)!=PDUTypeField.STARTRESUME )
          addPDUDef(i+1, PDU_CONST.PDU_NAMES1[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES2.length;i++) 
          if( (i+129)!=PDUTypeField.ENTITYSTATE &&
              (i+129)!=PDUTypeField.FIRE &&
              (i+129)!=PDUTypeField.DETONATION &&
              (i+129)!=PDUTypeField.MINE &&
              (i+129)!=PDUTypeField.MINEFIELD &&
              (i+129)!=PDUTypeField.ACKNOWLEDGE &&
              (i+129)!=PDUTypeField.STOPFREEZE &&
              (i+129)!=PDUTypeField.TRANSMITTER &&
              (i+129)!=PDUTypeField.STARTRESUME )
          addPDUDef(i+129, PDU_CONST.PDU_NAMES2[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES3.length;i++) 
          if( (i+140)!=PDUTypeField.ENTITYSTATE &&
              (i+140)!=PDUTypeField.FIRE &&
              (i+140)!=PDUTypeField.DETONATION &&
              (i+140)!=PDUTypeField.MINE &&
              (i+140)!=PDUTypeField.MINEFIELD &&
              (i+140)!=PDUTypeField.ACKNOWLEDGE &&
              (i+140)!=PDUTypeField.STOPFREEZE &&
              (i+140)!=PDUTypeField.TRANSMITTER &&
              (i+140)!=PDUTypeField.STARTRESUME )
          addPDUDef(i+140, PDU_CONST.PDU_NAMES3[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES4.length;i++) 
          if( (i+150)!=PDUTypeField.ENTITYSTATE &&
              (i+150)!=PDUTypeField.FIRE &&
              (i+150)!=PDUTypeField.DETONATION &&
              (i+150)!=PDUTypeField.MINE &&
              (i+150)!=PDUTypeField.MINEFIELD &&
              (i+150)!=PDUTypeField.ACKNOWLEDGE &&
              (i+150)!=PDUTypeField.STOPFREEZE &&
              (i+150)!=PDUTypeField.TRANSMITTER &&
              (i+150)!=PDUTypeField.STARTRESUME )
          addPDUDef(i+150, PDU_CONST.PDU_NAMES4[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES5.length;i++) 
          if( (i+155)!=PDUTypeField.ENTITYSTATE &&
              (i+155)!=PDUTypeField.FIRE &&
              (i+155)!=PDUTypeField.DETONATION &&
              (i+155)!=PDUTypeField.MINE &&
              (i+155)!=PDUTypeField.MINEFIELD &&
              (i+155)!=PDUTypeField.ACKNOWLEDGE &&
              (i+155)!=PDUTypeField.STOPFREEZE &&
              (i+155)!=PDUTypeField.TRANSMITTER &&
              (i+155)!=PDUTypeField.STARTRESUME )
          addPDUDef(i+155, PDU_CONST.PDU_NAMES5[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES6.length;i++) 
          if( (i+160)!=PDUTypeField.ENTITYSTATE &&
              (i+160)!=PDUTypeField.FIRE &&
              (i+160)!=PDUTypeField.DETONATION &&
              (i+160)!=PDUTypeField.MINE &&
              (i+160)!=PDUTypeField.MINEFIELD &&
              (i+160)!=PDUTypeField.ACKNOWLEDGE &&
              (i+160)!=PDUTypeField.STOPFREEZE &&
              (i+160)!=PDUTypeField.TRANSMITTER &&
              (i+160)!=PDUTypeField.STARTRESUME )
          addPDUDef(i+160, PDU_CONST.PDU_NAMES6[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES7.length;i++) 
          if( (i+170)!=PDUTypeField.ENTITYSTATE &&
              (i+170)!=PDUTypeField.FIRE &&
              (i+170)!=PDUTypeField.DETONATION &&
              (i+170)!=PDUTypeField.MINE &&
              (i+170)!=PDUTypeField.MINEFIELD &&
              (i+170)!=PDUTypeField.ACKNOWLEDGE &&
              (i+170)!=PDUTypeField.STOPFREEZE &&
              (i+170)!=PDUTypeField.TRANSMITTER &&
              (i+170)!=PDUTypeField.STARTRESUME )
          addPDUDef(i+170, PDU_CONST.PDU_NAMES7[i],j++);

    }
 
    final void prepareTableORIG()
    { 

      int i, j=0;

      for(i=0;i<PDU_CONST.PDU_NAMES1.length;i++) 
          addPDUDef(i+1, PDU_CONST.PDU_NAMES1[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES2.length;i++) 
          addPDUDef(i+129, PDU_CONST.PDU_NAMES2[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES3.length;i++) 
          addPDUDef(i+140, PDU_CONST.PDU_NAMES3[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES4.length;i++) 
          addPDUDef(i+150, PDU_CONST.PDU_NAMES4[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES5.length;i++) 
          addPDUDef(i+155, PDU_CONST.PDU_NAMES5[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES6.length;i++) 
          addPDUDef(i+160, PDU_CONST.PDU_NAMES6[i],j++);

      for(i=0;i<PDU_CONST.PDU_NAMES7.length;i++) 
          addPDUDef(i+170, PDU_CONST.PDU_NAMES7[i],j++);

    }

}// end of Class JPDUColorPanel
