/**
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
package sgui;

import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

/**
*
* @author H. Timucin Ozdemir
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
public class SPDUFileFilter extends FileFilter
{
   String suffix = "pdu";

   public boolean accept(File dir)
   {
      boolean ret = false;
      if( dir.isDirectory()) ret=true;
      if(!ret)
      {
         String s = dir.getName();
         int i    = s.lastIndexOf('.');
         String ext = null;
         if (i > 0 &&  i < s.length() - 1) 
             ext = s.substring(i+1).toLowerCase(); 

         ret = (ext!=null && ext.equals(suffix)) ;
      }

      return ret;

   }// end of accept()

   public String getDescription() {
        return "Just PDUS";
   }

} // end of SPDUFileFilter

