/**
* @date  October 17, 1998 ( Last Updated on October 17, 1998 )
*
*/
package cmsper;
import mil.navy.nps.dis.*;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

import worker.*;
import cmsper.gui.*;
import cmsper.comm.*;

/**
*
* @author H. Timucin Ozdemir
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
public class 
CMSTester extends RunnerObject
{

    FormPanel       myFR; 
    RunnerObject    peer; 
    MulticastSocket socket;
    InetAddress     mgroup;

    /**
    */
    //public CMSTester(FormPanel fr) 
    public CMSTester(FormPanel fr, MulticastSocket _socket, InetAddress _mgroup) 
    {
       myFR = fr;
       socket = _socket;
       mgroup  = _mgroup; 
      
    }// end of CONSTRUCTOR()

    /**
    */
    public void setPeer(RunnerObject _peer) { if(_peer!=null) peer = _peer; }

    /**
    */
    public void stop() { super.stop(); if(peer!=null) peer.stop(); }

    /**
    */
    public void 
    run()
    {
       boolean stay = true;
       int sleepTime = 1000/myFR.getFrequency();
  
       //MulticastPduSender sender = 
       //       new MulticastPduSender(myFR.getAddress(),myFR.getPort());

       if(peer!=null) peer.start();

       while(stay)
       {

         // send the PDU to the address
         // sender.send(myFR.getPDU());
         MulticastPduSender.send(myFR.getPDU(),socket,mgroup,myFR.getPort());

         // Sleep for sleepTime msecs
         try
         { sleep(sleepTime); 
         } catch( InterruptedException ie) { stay=false; }

         System.out.println(" I send! ");

         yield();

       }// end of while

    }// end of run()

}// end of Class CMSTester
