/**
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
package cmsper.gui;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.List;
import java.awt.event.*;


/**
*
* @author H. Timucin Ozdemir
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
public class 
MFGPanel extends Panel 
         implements ItemListener, ActionListener, GUI_CONST
{

   MFGrapher gr;
   List fList ;
   myTxtField fName;

   /**
   */
   public MFGPanel() 
   {
       fList = new List(16,true);

       Panel dummy1 = new Panel();
       dummy1.setLayout(new GridLayout(1,2));

       GridBagLayout gb= new GridBagLayout();
       GridBagConstraints gcn = new GridBagConstraints();

       Panel dummy11 = new Panel();
       dummy11.setLayout(gb);

       myButton draw = new myButton("Draw");
       myButton refresh = new myButton("Refresh");
       myButton save    = new myButton("Save");
       fName = new myTxtField(10);

       draw.addActionListener(this);
       refresh.addActionListener(this);
       save.addActionListener(this);

       gcn.fill = GridBagConstraints.BOTH;
       gcn.gridwidth = GridBagConstraints.RELATIVE;
       gb.setConstraints(draw,gcn);
       dummy11.add(draw);

       gcn.gridwidth = GridBagConstraints.REMAINDER;
       gb.setConstraints(refresh,gcn);
       dummy11.add(refresh);

       gcn.gridwidth = GridBagConstraints.RELATIVE;
       gb.setConstraints(save,gcn);
       dummy11.add(save);

       gcn.gridwidth = GridBagConstraints.REMAINDER;
       gb.setConstraints(fName,gcn);
       dummy11.add(fName);

       dummy1.add(dummy11);

       Panel dumm = new Panel();
       listFiles(dumm);
       dummy1.add(dumm);

       ScrollPane aScroll = new ScrollPane();
       aScroll.setSize(250,250);
       
       gr = new MFGrapher(100);

       aScroll.add(gr); 

       setBackground(GUI_CONST.PnlBgClr);
       setLayout(new GridLayout(2,1));
       add(dummy1);
       add(aScroll);
       validate();
    
       System.out.println(" Before ComponentLis");

       //addComponentListener(this);
      
   }// end of CONSTRUCTOR()

   /**
   */
   void refresh()
   {
      int i;
      File cDir = new File(".");
      String files[] = cDir.list(new DATFileFilter()); // get list of files in this directory

      fList.removeAll();
      for(i=0;i<files.length;i++) fList.add(files[i]);
      
   } // end of componentShown()

   /**
   */
   void listFiles(Panel fPanel)
   {

      int i;

      File cDir = new File(".");
      String files[] = cDir.list(new DATFileFilter()); // get list of files in this directory

      fList.removeAll(); // = new List(16,true);
      for(i=0;i<files.length;i++) fList.add(files[i]);

      fList.addActionListener(this); // I wanna receive item selects

      fPanel.add(fList);

   }// end of listFiles()

   public void
   itemStateChanged(ItemEvent e)
   {
      /*if( e.getStateChange() == ItemEvent.SELECTED )
      {
          String fn = fNameTxt.getText().trim();

          System.out.println(" OutputFile: "+fn);
          if( fn.length()>0 ) 
          { 
              try
              {  out = new PrintWriter(new FileOutputStream(fn));
                 collectionIsOn=true;
                 numOfPoints=0;
                 System.out.println(" 2OutputFile: "+fn);

              } catch(java.io.IOException ioe) {}

          } else out = null;

      } else { collectionIsOn=false; if(out!=null) out.close(); }
      */

   }// end of itemStateChanged() 

   public void
   actionPerformed(ActionEvent e)
   {
       if( e.getActionCommand().equals("Draw") && fList!=null)
       {
          String[] dFiles = fList.getSelectedItems();
          if(dFiles.length>0)
          {
             gr.reset();
             for(int i=0;i<dFiles.length;i++) gr.addFile(dFiles[i]);

          }// end of if

       }
       else if( e.getActionCommand().equals("Refresh") && fList!=null)
            {
               refresh();               
            } 
       else if( e.getActionCommand().equals("Save") && fName!=null)
            {
               gr.save(fName.getText());
            } 

   }// end of actionPerformed()
   
}// end of Class MFGPanel

