/**
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
package cmsper.gui;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

import jdis.*;


/**
*
* @author H. Timucin Ozdemir
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
public class 
PDUColorPanel extends Panel implements PDU_CONST
{

    /*
    public static final String[] PDU_NAMES1 = { "Entity State", 
                                               "Fire",
                                               "Detonation",
                                               "Collision",
                                               "Service Request",
                                               "Resupply Offer",
                                               "Resupply Received",
                                               "Resupply Cancel",
                                               "Repair Complete",
                                               "Repair Response",
                                               "Create Entity",
                                               "Remove Entity",
                                               "Start/Resume",
                                               "Stop/Freeze",
                                               "Acknowledge",
                                               "Action Request",
                                               "Action Response",
                                               "Data Query",
                                               "Set Data",
                                               "Data",
                                               "Event Report",
                                               "Comment",
                                               "Electromagnetic Emission",
                                               "Designator",
                                               "Transmitter",
                                               "Signal",
                                               "Receiver"
                                             };


    public static final String[] PDU_NAMES2 = { "Anounce Object", 
                                                "Delete Object",
                                                "Describe Application",
                                                "Describe Event",
                                                "Describe Object",
                                                "Request Event",
                                                "Request Object" };

    public static final String[] PDU_NAMES3 = { "Time Space Position Indicator - FI",
                                                "Appearance - FI",
                                                "Articulated Parts - FI",
                                                "Fire - FI",
                                                "Detonation - FI" };

    public static final String[] PDU_NAMES4 = { "Point Object State",
                                                "Linear Object State",
                                                "Areal Object State",
                                                "Environment" };

    public static final String[] PDU_NAMES5 = { "Transfer Control Request",
                                                "Transfer Control",
                                                "Transfer Control Acknowledge" };
    public static final String[] PDU_NAMES6 = { "Intercom Control",
                                                "Intercom Signal" };

    public static final String[] PDU_NAMES7 = { "Aggregate" };
    */

    /**
    */
    public PDUColorPanel( ) 
    {

      int i;
      Panel dummy = new Panel();

      GridBagLayout gb= new GridBagLayout();
      GridBagConstraints gcn = new GridBagConstraints();
      dummy.setLayout(gb);

      gcn.fill = GridBagConstraints.BOTH;
      gcn.gridwidth = GridBagConstraints.REMAINDER;
      gcn.anchor = GridBagConstraints.CENTER;

      for(i=0;i<PDU_CONST.PDU_NAMES1.length;i++) 
      {   
          PDUPanel a = new PDUPanel(i+1,PDU_CONST.PDU_NAMES1[i]); 
          gb.setConstraints(a,gcn);
          dummy.add(a);
      }

      for(i=0;i<PDU_CONST.PDU_NAMES2.length;i++) 
      {   
          PDUPanel a = new PDUPanel(i+129,PDU_CONST.PDU_NAMES2[i]); 
          gb.setConstraints(a,gcn);
          dummy.add(a);
      }

      for(i=0;i<PDU_CONST.PDU_NAMES3.length;i++) 
      {   
          PDUPanel a = new PDUPanel(i+140,PDU_CONST.PDU_NAMES3[i]); 
          gb.setConstraints(a,gcn);
          dummy.add(a);
      }

      for(i=0;i<PDU_CONST.PDU_NAMES4.length;i++) 
      {   
          PDUPanel a = new PDUPanel(i+150,PDU_CONST.PDU_NAMES4[i]); 
          gb.setConstraints(a,gcn);
          dummy.add(a);
      }

      for(i=0;i<PDU_CONST.PDU_NAMES5.length;i++) 
      {   
          PDUPanel a = new PDUPanel(i+155,PDU_CONST.PDU_NAMES5[i]); 
          gb.setConstraints(a,gcn);
          dummy.add(a);
      }

      for(i=0;i<PDU_CONST.PDU_NAMES6.length;i++) 
      {   
          PDUPanel a = new PDUPanel(i+160,PDU_CONST.PDU_NAMES6[i]); 
          gb.setConstraints(a,gcn);
          dummy.add(a);
      }

      for(i=0;i<PDU_CONST.PDU_NAMES7.length;i++) 
      {   
          PDUPanel a = new PDUPanel(i+170,PDU_CONST.PDU_NAMES7[i]); 
          gb.setConstraints(a,gcn);
          dummy.add(a);
      }

      dummy.setBackground(Color.white);
      ScrollPane aScroll= new ScrollPane();
      aScroll.add(dummy);
      aScroll.setSize(100,200);

      setLayout(new GridLayout(1,1));
      add(aScroll);

      validate();
 
    }// end of CONSTRUCTOR()

}// end of Class PDUColorPanel
