/**
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
package dishelper;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

import jdis.*;

/**
*
* @author H. Timucin Ozdemir
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
public class PDUOracle implements PDU_CONST
{

    Vector idToName;

    /**
    */
    public PDUOracle( ) 
    {

      int i;
      idToName = new Vector(256);

      for(i=0;i<256 ;i++) idToName.insertElementAt("",i); 

      for(i=0;i<PDU_CONST.PDU_NAMES1.length;i++) 
          idToName.setElementAt(PDU_CONST.PDU_NAMES1[i],i+1);

      for(i=0;i<PDU_CONST.PDU_NAMES2.length;i++) 
          idToName.setElementAt(PDU_CONST.PDU_NAMES2[i],i+129);

      for(i=0;i<PDU_CONST.PDU_NAMES3.length;i++) 
          idToName.setElementAt(PDU_CONST.PDU_NAMES3[i],i+140);

      for(i=0;i<PDU_CONST.PDU_NAMES4.length;i++) 
          idToName.setElementAt(PDU_CONST.PDU_NAMES4[i],i+150);

      for(i=0;i<PDU_CONST.PDU_NAMES5.length;i++) 
          idToName.setElementAt(PDU_CONST.PDU_NAMES5[i],i+155);

      for(i=0;i<PDU_CONST.PDU_NAMES6.length;i++) 
          idToName.setElementAt(PDU_CONST.PDU_NAMES6[i],i+160);

      for(i=0;i<PDU_CONST.PDU_NAMES7.length;i++) 
          idToName.setElementAt(PDU_CONST.PDU_NAMES7[i],i+170);

    }// end of CONSTRUCTOR()

    /**
    */
    public String
    getPDUName(int index)
    {
       return (String) idToName.elementAt(index);
    
    }// end of getPDUName()

    /**
    */
    public int
    getPduType(String pduName)
    {
       int ret = -1;
       if(idToName.indexOf(pduName)!=-1) ret = idToName.indexOf(pduName);
       return ret;
    
    }// end of getPduType()

}// end of Class PDUOracle

