/**
* @date  January 27, 1999 ( Last Updated on January 27, 1999 )
*
*/
package dishelper;

import RTIcap.*;

import comm.*;

/**
*
*
*
* @author H. Timucin Ozdemir
* @date  January 27, 1999 ( Last Updated on January 27, 1999 )
*
*/
public class Ticker2 implements Runnable
{

    boolean         collecting = false;

    DISHLAPublisher boss=null;

    Thread          runner = null;

    /**
    */
    public Ticker2( ) { }

    /**
    */
    public void 
    startTicking( DISHLAPublisher _boss)
    {
       if( _boss!=null )
       {
          boss = _boss;
          collecting = true;
          if(runner==null) runner = new Thread(this);
          runner.start();

       }// end of if


    }//       

    /**
    */
    public void 
    stopTicking()
    {
       collecting = false;
       if(runner!=null) runner.interrupt();
       runner = null;
       boss = null;

    }//       

    /**
    */
    public void 
    run()
    {
       try
       {
          while( boss!=null &&  collecting && !Thread.interrupted() )
          {
             boss.tick();

             if(runner!=null) runner.sleep(250);  

          } // end of while

       } catch(java.lang.InterruptedException ie) {}

    }// end of run       

}// end of Class Ticker

