package jdis;

import java.io.*;
import mil.navy.nps.dis.*;

/**
*
* @author H. Timucin Ozdemir
* @date   January 26, 1999
*
*/
public abstract interface PDUPublisher
{    
  
   public static final int NOT_CONNECTED = 0;

   public static final int CONNECTED     = 1;

   public static final int CAN_PUBLISH   = 2;

   public abstract void send(byte[] data);

   public abstract void send (ProtocolDataUnit pdu);

   public abstract void reconnect (String s1, int p1);

   public abstract void closeConnection ( );

   public abstract void startPublishing ( );

   public abstract void stopPublishing ( );

}// end of PDUPublisher
