#
#
#  NAME
#    convertAllJdbeEnumerationsToJava.sh
#
#  SYNOPSIS
#    convertAllJdbeEnumerationsToJava.sh 
#    (pretty name uh ?)
#  DESCRIPTION
#    	This csh script will generate the java files for the enumerations. 
#    	It takes no argument as it finds the right input files on its own...
# 	It also generates the report.txt which is builds a report of the operation for each file.
#
#  HOW TO USE
#    convertAllJdbeEnumerationsToJava.sh (in the disEnumerations directory, all the html sources being in JdbeHtmlFiles.
#    make sure that only the right html files are in the directory...
#
#  AUTHOR
#    Ronan Fauglas
#    Don McGregor
#      
#  NOTES
#    Send your suggestions to Ronan Fauglas fauglas@stl.nps.navy.mil
#    there are some trouble with the report.txt files (actually there seem to be a bug in the flush of output in perl...)
#
#    Bash-ified by DMcG 1/28/98, and csh-isms removed.
#
#  REFERENCES
#  man csh...
#  _Learning the bash Shell_, Newham & Rosenblatt, O'Reilly & Associates, 1995.
#  
#  HISTORY
#  26janv98/	Ronan Fauglas	/new
#  28Jan98/    DMcG  /Bash-ified
#
#

list=$(ls JdbeHtmlFiles/*.htm)

for file in $list
 do
  perl ./convertJdbeDisEnumerationsToJava.pl $file >> report.txt
 done

echo Note : the execution report is in report.txt !

