/*-----------------------------------------------------------------------
   McastIU

   This spits out PDU packets on the given socket and
   multicast group at a 1Hz rate. 

--------------------------------------------------------------------------*/

package mil.navy.nps.testing;

import mil.navy.nps.dis.*;

import java.io.*;
import java.lang.*;
import java.net.*;
import java.util.*;

public class McastIU{
   

   byte     	outputBuffer[]  = new byte[1500];       // buffer to hold datagram data
   InetAddress 	group; 
   MulticastSocket s ;                   // socket to spit it out on
   DatagramPacket          dgramPacket;  // one datagram packet
   ByteArrayOutputStream   outputStream;
   DataOutputStream        dataOutputStream;
   byte                    streamArray[];
   int                     pduSentCount = 0;
   
   public McastIU()
   {try{
   group = InetAddress.getByName("224.2.181.145");
   s = new MulticastSocket(62040);
   s.joinGroup(group);}

   catch (UnknownHostException e) {
	   System.err.println(e);
	}

	
        catch(IOException ioException) {
            System.out.println("sent a total of " + pduSentCount + "packets");
        }

}



   public void SendMPDU (ProtocolDataUnit pdu)
   {
   
   
   outputStream = new ByteArrayOutputStream();
   dataOutputStream = new DataOutputStream(outputStream);
   pdu.serialize(dataOutputStream);
   streamArray = outputStream.toByteArray();
   System.out.println("data serialized to " + streamArray[0] + " and " + streamArray[1]);
   dgramPacket = new DatagramPacket(outputStream.toByteArray(), 
                                         outputStream.size(), 
                                         group, 
                                         3111);


	try{
	
	{
        s.send(dgramPacket, (byte)5);
	}
           
	pduSentCount++;
           if(pduSentCount % 100 == 0)
            {
            System.out.println("sent " + pduSentCount + " Pdus");
            }

	
	 }//end try

	catch (SocketException se) {
	   System.err.println(se);
	}

	catch (UnknownHostException e) {
	   System.err.println(e);
	}

	
        catch(IOException ioException) {
            System.out.println("sent a total of " + pduSentCount + "packets");
        }
          

	
    
   }	//end method


}//endclass
