
package sgui;

import jdis.*;

import javax.swing.JOptionPane;
import javax.swing.JDialog;
import javax.swing.JTextField;
import java.beans.*; //Property change stuff
import java.awt.*;
import java.awt.event.*;

/**
*
* 
* @author Hasan Timucin Ozdemir
* @date   January 26, 1999
*
*/
public class 
GetFrequency extends JDialog 
{

    private String typedText  = null;
    private String pNumberTxt = JDISConstants.DEFAULT_Frequency+"" ;

    private String magicWord;
    private JOptionPane optionPane;

    int    frequency  = JDISConstants.DEFAULT_Frequency ;

    public int getFrequency() { return frequency; }

    public GetFrequency(Frame aFrame) 
    {
        this(aFrame,JDISConstants.DEFAULT_Frequency );
    }

    public GetFrequency(Frame aFrame, int _freq) 
    {
        super(aFrame, true);
        //final DialogDemo dd = parent;

        //magicWord = aWord.toUpperCase();
        setTitle("Get Play Frequency");

        if(_freq>0) frequency = _freq;
        pNumberTxt = frequency+"" ;

        final String msgString12 = "Enter number PDUs per second";
        final JTextField textField2 = new JTextField(10);
        textField2.setText(pNumberTxt);

        Object[] array = { msgString12,textField2};

        final String btnString1 = "Enter";
        final String btnString2 = "Cancel";
        Object[] options = {btnString1, btnString2};

        optionPane = new JOptionPane(array, 
                                    JOptionPane.QUESTION_MESSAGE,
                                    JOptionPane.YES_NO_OPTION,
                                    null,
                                    options,
                                    options[0]);
        setContentPane(optionPane);
        setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
        addWindowListener(new WindowAdapter() {
                public void windowClosing(WindowEvent we) {
                /*
                 * Instead of directly closing the window,
                 * we're going to change the JOptionPane's
                 * value property.
                 */
                    optionPane.setValue(new Integer(
                                        JOptionPane.CLOSED_OPTION));
            }
        });

        textField2.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                optionPane.setValue(btnString1);
            }
        });

        optionPane.addPropertyChangeListener(new PropertyChangeListener() {
            public void propertyChange(PropertyChangeEvent e) {
                String prop = e.getPropertyName();

                if (isVisible() 
                 && (e.getSource() == optionPane)
                 && (prop.equals(JOptionPane.VALUE_PROPERTY) ||
                     prop.equals(JOptionPane.INPUT_VALUE_PROPERTY))) {
                    Object value = optionPane.getValue();

                    if (value == JOptionPane.UNINITIALIZED_VALUE) {
                        //ignore reset
                        return;
                    }

                    if (value.equals(btnString1)) 
                    {
                       pNumberTxt = textField2.getText();
                        //String ucText = typedText.toUpperCase();
                        
                        try 
                        { 
                          int afrequency = Integer.parseInt(pNumberTxt);

                          frequency = afrequency;
                          // we're done; dismiss the dialog
                          setVisible(false);

                        } catch(NumberFormatException nfe) 
                          { 
                            // text was invalid
                            JOptionPane.showMessageDialog(
                                            GetFrequency.this,
                                            "Sorry, \"" + pNumberTxt + "\" "
                                            + "isn't a valid number.\n"
                                            + "Please enter ", 
                                            "Try again",
                                            JOptionPane.ERROR_MESSAGE);
                            pNumberTxt = frequency+"" ;
                            textField2.setText(pNumberTxt);
                            // reset the JOptionPane's value
                            optionPane.setValue(JOptionPane.UNINITIALIZED_VALUE);
                          }

                    } 
                    else { setVisible(false); }
                }
            }
        });
    }
}

